Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

ConnectiveGeometry Class

A class for geometry formed of several geometry sections. Geometry is initialized with polygon geometry and then can be extended by calling one of AddLeg methods using BentPlateGeometrySolver class. In the case of success, two polygon geometries will be connected by cylindrical surface geometry possibly with help of additional polygon geometries. Resulted geometry, then, can be set to bent plate.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelConnectiveGeometry

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
[SerializableAttribute]
public sealed class ConnectiveGeometry

The ConnectiveGeometry type exposes the following members.

Constructors
  Name Description
Public method ConnectiveGeometry
Initializes a new instance of the ConnectiveGeometry class.
Top
Methods
  Name Description
Public method GetConnection
Returns 2 connecting line segments between geometrySection1 and geometrySection2 sections, if sections are connected, otherwise returns empty list.
Public method GetGeometryEnumerator
Gets a new geometry sections enumerator for enumerating through the geometry sections.
Public method GetGeometryLegSections
Gets geometry end GeometrySections which are possible to remove.
Public method GetNeighborSections
Gets neighbor sections of the geometrySection inside this ConnectiveGeometry.
Public method IsEmpty
Checks whether the geometry is degenerate
Top
Fields
  Name Description
Public fieldStatic member InvalidGeometrySectionIndex
An invalid geometry section index.
Top
Examples
using Tekla.Structures.Geometry3d;
using Tekla.Structures.Model;

public class Example
{
    var contour1 = new Contour();
    contour1.AddContourPoint(new ContourPoint(new Point(6000.0, 8500.0, 0.0), null));
    contour1.AddContourPoint(new ContourPoint(new Point(6000.0, 6000.0, 0.0), null));
    contour1.AddContourPoint(new ContourPoint(new Point(12000.0, 6000.0, 0.0), null));
    contour1.AddContourPoint(new ContourPoint(new Point(12000.0, 8500.0, 0.0), null));
    var geometry = new ConnectiveGeometry(contour1);

    var contour2 = new Contour();
    contour2.AddContourPoint(new ContourPoint(new Point(15000.0, 8500.0, 1000.0), null));
    contour2.AddContourPoint(new ContourPoint(new Point(15000.0, 6000.0, 1000.0), null));
    contour2.AddContourPoint(new ContourPoint(new Point(19600.0, 6000.0, 3500.0), null));
    contour2.AddContourPoint(new ContourPoint(new Point(19600.0, 8500.0, 3500.0), null));

    var radius = 2000.0;
    var bentPlateGeometrySolver = new BentPlateGeometrySolver();
    var newGeometry = bentPlateGeometrySolver.AddLeg(geometry, contour2, radius);
}
See Also